Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Namespaces | Constant Groups
PorterStemFilter.h File Reference
`#include "TokenFilter.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::PorterStemFilter
| Transforms the token stream as per the Porter stemming algorithm. Note: the input to the stemming filter must already be in lower case, so you will need to use LowerCaseFilter or LowerCaseTokenizer further down the Tokenizer chain in order for this to work properly. More...

## Namespaces

| Lucene

## Constant Groups

| Lucene

clucene.sourceforge.net